com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.provider

## Class JavaItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.util.JavaAdapterFactory
    - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.provider.JavaItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class JavaItemProviderAdapterFactory
      extends JavaAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssociationMetadataItemProvider` | `associationMetadataItemProvider` This keeps track of the one adapter used for all `AssociationMetadata` instances
    `protected AttributeMetadataItemProvider` | `attributeMetadataItemProvider` This keeps track of the one adapter used for all `AttributeMetadata` instances
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected ClassMetadataItemProvider` | `classMetadataItemProvider` This keeps track of the one adapter used for all `ClassMetadata` instances
    `protected EnumMetadataItemProvider` | `enumMetadataItemProvider` This keeps track of the one adapter used for all `EnumMetadata` instances
    `protected JavaMetadataItemProvider` | `javaMetadataItemProvider` This keeps track of the one adapter used for all `JavaMetadata` instances
    `protected JavaMetadataNodeItemProvider` | `javaMetadataNodeItemProvider` This keeps track of the one adapter used for all `JavaMetadataNode` instances
    `protected MemberMetadataItemProvider` | `memberMetadataItemProvider` This keeps track of the one adapter used for all `MemberMetadata` instances
    `protected PackageMetadataItemProvider` | `packageMetadataItemProvider` This keeps track of the one adapter used for all `PackageMetadata` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`

    - ### Fields inherited from class com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.util.JavaAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createAssociationMetadataAdapter()` This creates an adapter for a `AssociationMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createAttributeMetadataAdapter()` This creates an adapter for a `AttributeMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createClassMetadataAdapter()` This creates an adapter for a `ClassMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createEnumMetadataAdapter()` This creates an adapter for a `EnumMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createJavaMetadataAdapter()` This creates an adapter for a `JavaMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createJavaMetadataNodeAdapter()` This creates an adapter for a `JavaMetadataNode`
    `org.eclipse.emf.common.notify.Adapter` | `createMemberMetadataAdapter()` This creates an adapter for a `MemberMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createPackageMetadataAdapter()` This creates an adapter for a `PackageMetadata`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.util.JavaAdapterFactory

      `createAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### javaMetadataItemProvider

          protected JavaMetadataItemProvider javaMetadataItemProvider

      This keeps track of the one adapter used for all `JavaMetadata` instances.

    - #### javaMetadataNodeItemProvider

          protected JavaMetadataNodeItemProvider javaMetadataNodeItemProvider

      This keeps track of the one adapter used for all `JavaMetadataNode` instances.

    - #### packageMetadataItemProvider

          protected PackageMetadataItemProvider packageMetadataItemProvider

      This keeps track of the one adapter used for all `PackageMetadata` instances.

    - #### classMetadataItemProvider

          protected ClassMetadataItemProvider classMetadataItemProvider

      This keeps track of the one adapter used for all `ClassMetadata` instances.

    - #### memberMetadataItemProvider

          protected MemberMetadataItemProvider memberMetadataItemProvider

      This keeps track of the one adapter used for all `MemberMetadata` instances.

    - #### attributeMetadataItemProvider

          protected AttributeMetadataItemProvider attributeMetadataItemProvider

      This keeps track of the one adapter used for all `AttributeMetadata` instances.

    - #### associationMetadataItemProvider

          protected AssociationMetadataItemProvider associationMetadataItemProvider

      This keeps track of the one adapter used for all `AssociationMetadata` instances.

    - #### enumMetadataItemProvider

          protected EnumMetadataItemProvider enumMetadataItemProvider

      This keeps track of the one adapter used for all `EnumMetadata` instances.

  - ### Constructor Detail

    - #### JavaItemProviderAdapterFactory

          public JavaItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createJavaMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaMetadataAdapter()

      This creates an adapter for a `JavaMetadata`.
      Overrides:
        `createJavaMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `JavaMetadata`

    - #### createJavaMetadataNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaMetadataNodeAdapter()

      This creates an adapter for a `JavaMetadataNode`.
      Overrides:
        `createJavaMetadataNodeAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `JavaMetadataNode`

    - #### createPackageMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageMetadataAdapter()

      This creates an adapter for a `PackageMetadata`.
      Overrides:
        `createPackageMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `PackageMetadata`

    - #### createClassMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createClassMetadataAdapter()

      This creates an adapter for a `ClassMetadata`.
      Overrides:
        `createClassMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ClassMetadata`

    - #### createMemberMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createMemberMetadataAdapter()

      This creates an adapter for a `MemberMetadata`.
      Overrides:
        `createMemberMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `MemberMetadata`

    - #### createAttributeMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createAttributeMetadataAdapter()

      This creates an adapter for a `AttributeMetadata`.
      Overrides:
        `createAttributeMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `AttributeMetadata`

    - #### createAssociationMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createAssociationMetadataAdapter()

      This creates an adapter for a `AssociationMetadata`.
      Overrides:
        `createAssociationMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `AssociationMetadata`

    - #### createEnumMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumMetadataAdapter()

      This creates an adapter for a `EnumMetadata`.
      Overrides:
        `createEnumMetadataAdapter` in class `JavaAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `EnumMetadata`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `JavaAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.